--- coreboot-v2-org/src/mainboard/amd/dbm690t/acpi_tables.c	2008-12-02 02:56:38.000000000 +0800
+++ ../coreboot-v2/src/mainboard/amd/dbm690t/acpi_tables.c	2008-12-19 15:35:29.000000000 +0800
@@ -133,12 +133,12 @@
 	u32 *v;
 	struct cpuid_result cpuid1;
 
-	typedef struct power_limit_encoding {
+	typedef struct _power_limit_encoding {
 		u8 socket_type;
 		u8 cmp_cap;
 		u8 pwr_lmt;
 		u32 power_limit;
-	};
+	} power_limit_encoding;
 	u8 Max_fid, Max_vid, Start_fid, Start_vid, Min_fid, Min_vid;
 	u16 Max_feq;
 	u8 Pstate_fid[10];
@@ -167,7 +167,7 @@
 	u32 new_package_length;
 	u8 sum, checksum;
 	u32 fid_multiplier;
-	static struct power_limit_encoding TDP[20] = {
+	static power_limit_encoding TDP[20] = {
 		{0x11, 0x0, 0x8, 62},
 		{0x11, 0x1, 0x8, 89},
 		{0x11, 0x1, 0xa, 103},
--- coreboot-v2-org/src/mainboard/amd/dbm690t/fadt.c	2008-12-01 19:52:54.000000000 +0800
+++ ../coreboot-v2/src/mainboard/amd/dbm690t/fadt.c	2008-12-19 14:21:16.000000000 +0800
@@ -26,6 +26,7 @@
 #include <arch/acpi.h>
 #include <arch/io.h>
 
+extern void pm_iowrite(u8 reg, u8 value);
 /*extern*/ u16 pm_base = 0x800;
 /* pm_base should be set in sb acpi */
 /* pm_base should be got from bar2 of rs690. Here I compact ACPI
--- coreboot-v2-org/src/mainboard/amd/dbm690t/mainboard.c	2008-12-13 20:51:34.000000000 +0800
+++ ../coreboot-v2/src/mainboard/amd/dbm690t/mainboard.c	2008-12-19 16:26:26.000000000 +0800
@@ -31,9 +31,16 @@
 #define ARA_ADDRESS     0x0C /* Alert Response Address */
 #define SMBUS_IO_BASE 0x1000
 
+extern u8 pm_ioread(u8 reg);
+extern void pm_iowrite(u8 reg, u8 value);
+extern u8 pm2_ioread(u8 reg);
+extern void pm2_iowrite(u8 reg, u8 value);
 extern int do_smbus_read_byte(u32 smbus_io_base, u32 device, u32 address);
 extern int do_smbus_write_byte(u32 smbus_io_base, u32 device, u32 address,
 			       u8 val);
+extern void lb_add_memory_range(struct lb_memory *mem, uint32_t type, 
+				uint64_t start, uint64_t size);
+
 #define ADT7461_read_byte(address) \
 	do_smbus_read_byte(SMBUS_IO_BASE, ADT7461_ADDRESS, address)
 #define ARA_read_byte(address) \
@@ -191,8 +198,10 @@
 *************************************************/
 void dbm690t_enable(device_t dev)
 {
-	struct mainboard_amd_dbm690t_config *mainboard =
-	    (struct mainboard_amd_dbm690t_config *)dev->chip_info;
+	/*
+	 * struct mainboard_amd_dbm690t_config *mainboard =
+	 *  (struct mainboard_amd_dbm690t_config *)dev->chip_info;
+	 */
 
 	printk_info("Mainboard DBM690T Enable. dev=0x%x\n", dev);
 
@@ -243,16 +252,16 @@
 	get_ide_dma66();
 	set_thermal_config();
 }
- 
+
 int add_mainboard_resources(struct lb_memory *mem)
 {
 	/* UMA is removed from system memory in the northbridge code, but
 	 * in some circumstances we want the memory mentioned as reserved.
  	 */
-#if (CONFIG_GFXUMA == 1) 
-	printk_info("uma_memory_start=0x%x, uma_memory_size=0x%x \n", 
+#if (CONFIG_GFXUMA == 1)
+	printk_info("uma_memory_start=0x%x, uma_memory_size=0x%x \n",
 	uma_memory_start, uma_memory_size);
-	lb_add_memory_range(mem, LB_MEM_RESERVED, 
+	lb_add_memory_range(mem, LB_MEM_RESERVED,
 		uma_memory_start, uma_memory_size);
 #endif
 }
